From 72da4f162469d53a51980c02ee99b4bb05a98f0a Mon Sep 17 00:00:00 2001
From: Juan RP <xtraeme@gmail.com>
Date: Thu, 6 Jun 2019 21:04:06 +0200
Subject: [PATCH] hooks/00-gen-pkg: use xbps-create(1) --changelog if set on
 template.

Signed-off-by: Juan RP <xtraeme@gmail.com>
---
 common/hooks/do-pkg/00-gen-pkg.sh | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/common/hooks/do-pkg/00-gen-pkg.sh b/common/hooks/do-pkg/00-gen-pkg.sh
index 2b1d3ad02e7..78ec2a1422a 100644
--- a/common/hooks/do-pkg/00-gen-pkg.sh
+++ b/common/hooks/do-pkg/00-gen-pkg.sh
@@ -53,6 +53,7 @@ genpkg() {
 	local _conf_files="$(expand_destdir "$conf_files")"
 	local _alternatives="$(echo $alternatives)"
 	local _tags="$(echo $tags)"
+	local _changelog="$(echo $changelog)"
 
 	msg_normal "Creating $binpkg for repository $pkgdir ...\n"
 
@@ -74,6 +75,7 @@ genpkg() {
 		${_alternatives:+--alternatives "${_alternatives}"} \
 		${_preserve:+--preserve} \
 		${tags:+--tags "${tags}"} \
+		${_changelog:+--changelog "${_changelog}"} \
 		--architecture ${arch} \
 		--homepage "${homepage}" \
 		--license "${license}" \
